<?php
/**
 * @package		Joomla
 * @copyright	Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.controlleradmin');

require_once JPATH_COMPONENT_ADMINISTRATOR . '/helpers/import.php';

class IpricecalcControllerImport extends JControllerAdmin
{
	function __construct( $config = array() )
	{
		parent::__construct( $config );
	}
	
	function submit()
	{

		$baseSite=JURI::Root();
		$params=array('EOL_DELIMITER'=>stripslashes($_POST['EOL_DELIMITER']),'CELL_DELIMITER'=>stripslashes($_POST['CELL_DELIMITER']),'TEXT_DELIMITER'=>stripslashes($_POST['TEXT_DELIMITER']));

		$content_dir= JPATH_SITE.'/tmp/';
	    $tmp_file = $_FILES['fichier']['tmp_name'];

	    if( !is_uploaded_file($tmp_file) )
	        exit(JText::_('ERROR_FILE1'));

	    // on verifie maintenant l'extension
	    $type_file = $_FILES['fichier']['type'];
	    $name_file = $_FILES['fichier']['name'];
	    $allowedExt = array("csv");

		$arr = explode(".", $name_file);
	    if(!in_array(end($arr),$allowedExt))
		        exit(JText::_('ERROR_FILE2')." <a href=\"".JRoute::_('index.php?option=com_ipricecalc&view=import')."\">".JText::_('Back')."</a>");

	    // on copie le fichier dans le dossier de destination
	    $name_file = $_FILES['fichier']['name'];

	    if( !move_uploaded_file($tmp_file,$content_dir . $name_file) )
	        exit(JText::_('ERROR_FILE3')." $content_dir <a href=\"".JRoute::_('index.php?option=com_ipricecalc&view=import')."\">".JText::_('Back')."</a>");

		$filename=$content_dir.$name_file;
		JToolbarHelper::title(JText::_( 'IPrice_import' ), 'generic.png');		
		DoImport($filename,$params);
		echo '<br><br>'.JText::_('IMPORT_COMPLETE');
		echo '<br><br><a href="index.php?option=com_ipricecalc&view=import">'.JText::_('Back').'</a>';
	}


}
?>