<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

class IpricecalcHelper
{
	public static function getActions()
	{
		/*
		$user	= JFactory::getUser();
		$result	= new JObject;

		$assetName = 'com_ipricecalc';
		$level = 'component';

		//$actions = JAccess::getActions('com_ipricecalc', $level);
		//J4
		$actions = JAccess::getActionsFromFile(JPATH_ADMINISTRATOR . '/components/com_ipricecalc/access.xml');
		

		foreach ($actions as $action) {
			$result->set($action->name,	$user->authorise($action->name, $assetName));
		}

		return $result;
		*/
	}
	
	public static function getCategoryOptions()
	{
		$options = array();

		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);

		$query->select('id As value, name As text');
		$query->from('#__iprice_categories AS a');
		$query->order('a.ordering');

		// Get the options.
		$db->setQuery($query);

		try
		{
			$options = $db->loadObjectList();
		}
		catch (RuntimeException $e)
		{
			JError::raiseWarning(500, $e->getMessage());
		}

		// Merge any additional options in the XML definition.
		//$options = array_merge(parent::getOptions(), $options);

//		array_unshift($options, JHtml::_('select.option', '0', JText::_('COM_BANNERS_NO_CLIENT')));

		return $options;
	}
	public static function getCurrencyOptions()
	{
		$options = array();

		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);

		$query->select('currcode As value, currcode As text');
		$query->from('#__iprice_curr AS a');
		$query->where('published = 1');
		$query->order('a.currcode');

		$db->setQuery($query);
		try
		{
			$options = $db->loadObjectList();
		}
		catch (RuntimeException $e)
		{
			JError::raiseWarning(500, $e->getMessage());
		}

		return $options;
	}

}
