<?php
/**
 * @package		Joomla
 * @copyright	Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 */

defined('JPATH_BASE') or die;

require_once JPATH_ADMINISTRATOR . '/components/com_ipricecalc/helpers/ipricecalc.php';

JFormHelper::loadFieldClass('list');


class JFormFieldCurrency extends JFormFieldList
{
	protected $type = 'Currency';

	public function getOptions()
	{
		$options = array_merge(parent::getOptions(), IpricecalcHelper::getCurrencyOptions());	
		return $options;
	}
}
?>
