<?php
/**
 * @package     Joomla.Administrator
 * @copyright   Copyright (C) 2013 IPrice web solutions. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

//JHtml::_('behavior.tooltip');
//JHtml::_('behavior.formvalidation');
JHtml::_('behavior.formvalidator');
if (version_compare(JVERSION, '3.0', 'ge'))
	JHtml::_('formbehavior.chosen', 'select');

JFactory::getDocument()->addScriptDeclaration('
	Joomla.submitbutton = function(task)
	{
		if (task == "item.cancel" || document.formvalidator.isValid(document.getElementById("item-form")))
		{
			Joomla.submitform(task, document.getElementById("item-form"));
		}
	};
');


?>

<form action="<?php echo JRoute::_('index.php?option=com_ipricecalc&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate form-horizontal">
<!-- Begin Banner -->
<div class="span10 form-horizontal">
	<fieldset>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('catid'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('catid'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('name'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('name'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('shortdesc'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('shortdesc'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('cost'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('cost'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('showcount'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('showcount'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('radiogroup'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('radiogroup'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('defqty'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('defqty'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('stepqty'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('stepqty'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('maxqty'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('maxqty'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('minqty'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('minqty'); ?>
			</div>
		</div>
		
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('qtysellist'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('qtysellist'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('qtydisabled'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('qtydisabled'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('selectdisabled'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('selectdisabled'); ?>
			</div>
		</div>
		
		<?php foreach ($this->form->getFieldset('customfields') as $field) { ?>
					<div class="control-group">
						<div class="control-label">
							<?php echo $field->label; ?>
						</div>
						<div class="controls">
							<?php echo $field->input; ?>
						</div>
					</div>
		<?php } ?>
		
		
		<div style="clear:both;"></div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('description'); ?>
			</div>
			<div style="clear:both;"></div>
			<div class="controls">
				<?php echo $this->form->getInput('description'); ?>
			</div>
		</div>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel('id'); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput('id'); ?>
			</div>
		</div>
	</fieldset>

	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</div>

	<!-- End Newsfeed -->
	<!-- Begin Sidebar -->
	<div class="span2">
		<h4><?php echo JText::_('JDETAILS');?></h4>
		<hr />
		<fieldset class="form-vertical">
				<div class="control-group">
					<div class="controls">
						<?php echo $this->form->getValue('name'); ?>
					</div>
				</div>

			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('published'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('published'); ?>
				</div>
			</div>
			
		</fieldset>
	</div>
	<!-- End Sidebar -->

</form>
